Gnomemeeting and Motioneye camera in Sony Vaio not working

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Gnomemeeting and Motioneye camera in Sony Vaio not working

Benedek Frank
Hi

I have a Debian Sarge with 2.6.11 kernel on my Sony Vaio PCG-C1VRX/K laptop.
It has a Motioneye camera built in, that works with many video4linux apps,
like Xawtv, Effecttv, etc. When I try to make gnomemeeting work with this
camera, I get an error saying:

When I use the config tool it prompts me to select the video manager. I have
only one reasonable option which is not (picture) and that is V4L2. When I
choose this, I click forward I can select Input Device. Two choices
are /dev/video0 and /dev/video0. Yes the two are the same. No matter which of
the two I choose, when I click on test, it says Error while
opening /dev/video0

When I run xawtv with the following command

ben@vaio:~$ xawtv -c /dev/video0 -geometry 320x240

I can see the output of the camera.

Now all of this was done when I load the "meye" module by forcing to use V4L1,
otherwise even xawtv doesnt work.

When I dont do that, and I load the "meye" module as default with V4L2
support, I get a different error from gnomemeeting,

"Your driver doesn't seem to support any of the colour formats supported by
GnomeMeeting.
 Please check your kernel driver documentation in order to determine which
Palette is supported."

What am I doing wrong?

Thanks

Ben
_______________________________________________
GnomeMeeting-list mailing list
[hidden email]
http://mail.gnome.org/mailman/listinfo/gnomemeeting-list
Reply | Threaded
Open this post in threaded view
|

Re: Gnomemeeting and Motioneye camera in Sony Vaio not working

Damien Sandras
Le jeudi 02 juin 2005 à 23:59 +0200, Benedek Frank a écrit :
> Hi
>
> I have a Debian Sarge with 2.6.11 kernel on my Sony Vaio PCG-C1VRX/K laptop.
> It has a Motioneye camera built in, that works with many video4linux apps,
> like Xawtv, Effecttv, etc. When I try to make gnomemeeting work with this
> camera, I get an error saying:
>
> When I use the config tool it prompts me to select the video manager. I have
> only one reasonable option which is not (picture) and that is V4L2. When I


I guess there is a bug in the package. Just do 'apt-get install
libpt-plugins-v4l' and choose V4L as plugin.

V4L2 is unstable and basically rarely usable as most drivers are still
V4L1- based (like it is the case for you).

> choose this, I click forward I can select Input Device. Two choices
> are /dev/video0 and /dev/video0. Yes the two are the same. No matter which of
> the two I choose, when I click on test, it says Error while
> opening /dev/video0
>
> When I run xawtv with the following command
>
> ben@vaio:~$ xawtv -c /dev/video0 -geometry 320x240
>
> I can see the output of the camera.
>
> Now all of this was done when I load the "meye" module by forcing to use V4L1,
> otherwise even xawtv doesnt work.
>
> When I dont do that, and I load the "meye" module as default with V4L2
> support, I get a different error from gnomemeeting,
>
> "Your driver doesn't seem to support any of the colour formats supported by
> GnomeMeeting.
>  Please check your kernel driver documentation in order to determine which
> Palette is supported."
>
> What am I doing wrong?
>
> Thanks
>
> Ben
> _______________________________________________
> GnomeMeeting-list mailing list
> [hidden email]
> http://mail.gnome.org/mailman/listinfo/gnomemeeting-list
--
 _      Damien Sandras
(o-     GnomeMeeting: http://www.gnomemeeting.org/
//\     FOSDEM 2005 : http://www.fosdem.org
v_/_    H.323 phone : callto:ils.seconix.com/[hidden email]

_______________________________________________
GnomeMeeting-list mailing list
[hidden email]
http://mail.gnome.org/mailman/listinfo/gnomemeeting-list
Reply | Threaded
Open this post in threaded view
|

Re: Gnomemeeting and Motioneye camera in Sony Vaio not working

Benedek Frank-2
On Friday 03 June 2005 10:04, Damien Sandras wrote:

> Le jeudi 02 juin 2005 à 23:59 +0200, Benedek Frank a écrit :
> > Hi
> >
> > I have a Debian Sarge with 2.6.11 kernel on my Sony Vaio PCG-C1VRX/K
> > laptop. It has a Motioneye camera built in, that works with many
> > video4linux apps, like Xawtv, Effecttv, etc. When I try to make
> > gnomemeeting work with this camera, I get an error saying:
> >
> > When I use the config tool it prompts me to select the video manager. I
> > have only one reasonable option which is not (picture) and that is V4L2.
> > When I
>
> I guess there is a bug in the package. Just do 'apt-get install
> libpt-plugins-v4l' and choose V4L as plugin.
>
> V4L2 is unstable and basically rarely usable as most drivers are still
> V4L1- based (like it is the case for you).
Hi

Great, it works already.

Thanks for all the help, I am happy again with my Picturebook.

Ben

>
> > choose this, I click forward I can select Input Device. Two choices
> > are /dev/video0 and /dev/video0. Yes the two are the same. No matter
> > which of the two I choose, when I click on test, it says Error while
> > opening /dev/video0
> >
> > When I run xawtv with the following command
> >
> > ben@vaio:~$ xawtv -c /dev/video0 -geometry 320x240
> >
> > I can see the output of the camera.
> >
> > Now all of this was done when I load the "meye" module by forcing to use
> > V4L1, otherwise even xawtv doesnt work.
> >
> > When I dont do that, and I load the "meye" module as default with V4L2
> > support, I get a different error from gnomemeeting,
> >
> > "Your driver doesn't seem to support any of the colour formats supported
> > by GnomeMeeting.
> >  Please check your kernel driver documentation in order to determine
> > which Palette is supported."
> >
> > What am I doing wrong?
> >
> > Thanks
> >
> > Ben
> > _______________________________________________
> > GnomeMeeting-list mailing list
> > [hidden email]
> > http://mail.gnome.org/mailman/listinfo/gnomemeeting-list
_______________________________________________
GnomeMeeting-list mailing list
[hidden email]
http://mail.gnome.org/mailman/listinfo/gnomemeeting-list